using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Lights
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void TurnLightOn()
        {
            // Wyświetlenie obrazu przedstawiającego "włączoną" żarówkę. 
            lightOnPictureBox.Visible = true;

            // Ukrycie obrazu przedstawiającego "wyłączoną" żarówkę. 
            lightOffPictureBox.Visible = false;

            // Wyświetlenie informacji o stanie żarówki. 
            lightStateLabel.Text = "Włączona";
        }

        private void TurnLightOff()
        {
            // Wyświetlenie obrazu przedstawiającego "wyłączoną" żarówkę. 
            lightOffPictureBox.Visible = true;

            // Ukrycie obrazu przedstawiającego "włączoną" żarówkę. 
            lightOnPictureBox.Visible = false;

            // Wyświetlenie informacji o stanie żarówki. 
            lightStateLabel.Text = "Wyłączona";
        }

        private void switchButton_Click(object sender, EventArgs e)
        {
            // Odwrócenie stanu żarówki. 
            if (lightOnPictureBox.Visible == true)
            {
                TurnLightOff();
            }
            else
            {
                TurnLightOn();
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza. 
            this.Close();
        }
    }
}
